%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:             rtl-sdr
URL:              http://sdr.osmocom.org/trac/wiki/rtl-sdr
Version:          0.5.3
Release:          %mkrel 2
License:          GPLv2+
BuildRequires:    cmake
BuildRequires:    pkgconfig(libusb)
Requires(pre):    shadow-utils
Group:            Communications/Radio
Summary:          SDR utilities for Realtek RTL2832 based DVB-T dongles
# https://github.com/steve-m/librtlsdr/releases
Source0:          https://github.com/steve-m/librtlsdr/archive/v%{version}.tar.gz#/librtlsdr-%{version}.tar.gz

%description
This package can turn your RTL2832 based DVB-T dongle into a SDR receiver.

%package -n %{libname}
Summary:          Library files for rtl-sdr
Group:            System/Libraries
Requires:         %{name} = %{version}-%{release}

%description -n %{libname}
Library files for rtl-sdr.

%package -n %{devname}
Summary:          Development files for rtl-sdr
Group:            System/Libraries
Requires:         %{libname} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for rtl-sdr.

%prep
%setup -q -n librtlsdr-%{version}

rm -rf src/getopt

%build
%cmake .. -DDETACH_KERNEL_DRIVER=ON
%make

%install
cd build
%makeinstall_std DESTDIR=%{buildroot}

# remove static libs
rm -f %{buildroot}%{_libdir}/*.a

# Fix udev rules and allow access only to users in rtlsdr group
sed -i 's/MODE:="0666"/MODE:="0660", ENV{ID_SOFTWARE_RADIO}="1"/' ../rtl-sdr.rules
install -Dpm 644 ../rtl-sdr.rules %{buildroot}%{_udevrulesdir}/10-rtl-sdr.rules

%files
%doc AUTHORS
%{_bindir}/*
%{_udevrulesdir}/10-rtl-sdr.rules

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.5.3-2.mga6
+ Revision: 952139
- Mageia 6 Mass Rebuild

* Fri Jan 16 2015 barjac <barjac> 0.5.3-1.mga5
+ Revision: 810950
- adapt for mageia
- Import package rtl-sdr from Fedora with thanks


* Fri Aug 29 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.5.3-3
- Migrated udev rule to dynamic ACL management
- Fixed udev rule location
- Group rtlsdr is no more used / created

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul  1 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.5.3-1
- New version
  Resolves: rhbz#1114342
- Dropped rtl-sdr-0-lib64-fix patch (upstreamed)
- Enabled detaching of kernel driver

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20130403git4a068f56
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20130403git4a068f56
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr  7 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.2.20130403git4a068f56
- Preserve timestamp of 10-rtl-sdr.rules during install
- Added isa to devel subpackage requirement
- Removed bundled getopt

* Wed Apr  3 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.1.20130403git4a068f56
- Initial version
